> For the complete documentation index, see [llms.txt](https://developer.acquire.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.acquire.io/rest-apis/knowledgebase/category.md).

# Category

### Attributes&#x20;

| ATTRIBUTE    | TYPE        | DESCRIPTION                                                                         |
| ------------ | ----------- | ----------------------------------------------------------------------------------- |
| id           | Integer     | Specify the category Id                                                             |
| slug         | String      | Specify the key of the category                                                     |
| name         | String      | Specify the name of the category                                                    |
| description  | String      | Specify the description of the category                                             |
| createdBy    | JSON Object | <p>Specify the object which has the user details</p><p>who created the category</p> |
| updatedBy    | JSON Object | <p>Specify the object which has the user details</p><p>who updated the category</p> |
| dateCreated  | datetime    | Specify the date on which category created                                          |
| dateUpdated  | datetime    | Specify the date on which category updated                                          |
| status       | String      | Specify the status of the category                                                  |
| categoryIcon | String      | Specify the icon of the category                                                    |
| articleCount | Integer     | Specify the total article count under the category                                  |
| internal     | Integer     | Specify the internal article count under the category                               |
| published    | Integer     | Specify the published article count under the category                              |
| archive      | Integer     | Specify the archived article count under the category                               |

### **Permissions**

To request this endpoint you will need a valid API Key with the knowledge-base access permissions enabled.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.acquire.io/rest-apis/knowledgebase/category.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
